﻿using System;
using System.Globalization;
using System.Threading;

namespace localizacion
{
    class Program
    {
        static void Main(string[] args)
        {
            DateTime fecha = new DateTime(2010,10,30);
            double cantidad = 1.75;
            double coste = 2354.24;
            var a = CultureInfo.CurrentCulture;

            Console.WriteLine("El día {0} compré {1}kg de oro por {2:C}",fecha.ToShortDateString(),cantidad,coste);

            Console.WriteLine("En dólares: {0}", (coste*1.1).ToString("C",CultureInfo.CreateSpecificCulture("en-US")));

            Thread.CurrentThread.CurrentCulture = new CultureInfo("en-US");
            Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-US");

            Console.WriteLine("El día {0} compré {1}kg de oro por {2:C}", fecha.ToShortDateString(), cantidad, coste);

            Console.ReadLine();


        }
    }
}
